{% extends "rango/base.html" %}
{% load staticfiles %}

{% block title_block %}
    Register
{% endblock %}

{% block body_block %}
    <h1>About Page</h1>
    {% if registered %}
        Rango says: <strong>Thank You for registered</strong>
        <a href="{% url 'rangoapp:index' %}"> Return homepage. </a><br />
    {% else %}
        Rango says: <strong>Register here!</strong><br />
        <form id="user_form" action="{% url 'rangoapp:register' %}" method="post" enctype="multipart/form-data">
            {% csrf_token %}

            <!-- Display each form -->
            {{user_form.as_p}}
            {{profile_form.as_p}}
            <!-- Provide a button to click to submit the Form -->
            <input type="submit" name="submit" value="Register">
        </form>
    {% endif %}
{% endblock %}
